ICAL_PRINT(3)

NAME
ical_print, ical_printfile - print out a parsed iCalendar file

LIBRARY
libkcaldav

SYNOPSIS
#include <libkcaldav.h>
int
ical_print(const, struct, ical, *p, ical_putchar, fp, void, *arg);
void
ical_printfile(int, fd, const, struct, ical, *p);

DESCRIPTION
Prints an iCalendar p as parsed with ical_parse(3).

The ical_printfile() is a short form that uses putchar(3) for writing to a file descriptor fd.

The ical_print() form takes a writing function fp, which is invoked with a character to write and the value of arg.

SEE ALSO
ical_parse(3)